<!--
  ~ #%L
  ~ chvote-bo
  ~ %%
  ~ Copyright (C) 2016 - 2019 République et Canton de Genève
  ~ %%
  ~ This program is free software: you can redistribute it and/or modify
  ~ it under the terms of the GNU Affero General Public License as published by
  ~ the Free Software Foundation, either version 3 of the License, or
  ~ (at your option) any later version.
  ~
  ~ This program is distributed in the hope that it will be useful,
  ~ but WITHOUT ANY WARRANTY; without even the implied warranty of
  ~ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
  ~ GNU General Public License for more details.
  ~
  ~ You should have received a copy of the GNU Affero General Public License
  ~ along with this program. If not, see <http://www.gnu.org/licenses/>.
  ~ #L%
  -->

<mat-card id="operationListSection">
  <mat-card-header>
    <mat-card-title>{{ 'dashboard.operation-list.title' | translate }}</mat-card-title>
  </mat-card-header>
  <mat-card-content fxLayout="column" class="no-padding">
    <mat-table #table [dataSource]="dataSource" matSort id="operationsGrid">

      <ng-container matColumnDef="date">
        <mat-header-cell *matHeaderCellDef mat-sort-header> {{"dashboard.operation-list.grid.header.date" | translate}}
        </mat-header-cell>
        <mat-cell *matCellDef="let element"> {{element.date | date:'dd.MM.yyyy' }}</mat-cell>
      </ng-container>

      <ng-container matColumnDef="shortLabel">
        <mat-header-cell *matHeaderCellDef mat-sort-header> {{"dashboard.operation-list.grid.header.short-label" |
          translate}}
        </mat-header-cell>
        <mat-cell *matCellDef="let element"> {{element.shortLabel}}</mat-cell>
      </ng-container>

      <ng-container matColumnDef="longLabel">
        <mat-header-cell *matHeaderCellDef mat-sort-header> {{"dashboard.operation-list.grid.header.long-label" |
          translate}}
        </mat-header-cell>
        <mat-cell *matCellDef="let element"> {{element.longLabel}}</mat-cell>
      </ng-container>

      <ng-container matColumnDef="printerArchiveInfo">
        <mat-header-cell *matHeaderCellDef mat-sort-header> {{"dashboard.operation-list.grid.header.printer-info" |
          translate}}
        </mat-header-cell>
        <mat-cell *matCellDef="let element"> {{element.printerFileGenerationDate | date:'dd.MM.yyyy HH:mm' }}</mat-cell>
      </ng-container>

      <ng-container matColumnDef="management">
        <mat-header-cell *matHeaderCellDef> {{"dashboard.operation-list.grid.header.management" | translate}}
        </mat-header-cell>
        <mat-cell *matCellDef="let element">
          <button mat-icon-button color="primary" (click)="management(element.id)">
            <mat-icon>more_horiz</mat-icon>
          </button>
        </mat-cell>
      </ng-container>

      <ng-container matColumnDef="printerArchiveDownload">
        <mat-header-cell *matHeaderCellDef> {{"dashboard.operation-list.grid.header.printer-download-link" |
          translate}}
        </mat-header-cell>
        <mat-cell *matCellDef="let element">
          <a href="{{getDownloadLink(element.printerFileDownloadToken)}}">
            <mat-icon>file_download</mat-icon>
          </a>
        </mat-cell>
      </ng-container>

      <mat-header-row *matHeaderRowDef="displayedColumns"></mat-header-row>
      <mat-row *matRowDef="let row; columns: displayedColumns;"></mat-row>
    </mat-table>
  </mat-card-content>
</mat-card>
